Frequent Contributor.. AlbertGinete Frequent Contributor..
Frequent Contributor..
1046 views

The SAP Java Connector is not installed or you do not have the correct distribution package

I'm getting the error message in the subject when running a flow with the 'Invoke SAP BAPI' operator. I'm using the following:

  • SAP [2.0.0] content pack
  • HPE OO 10.6
  • SAP_Libs [1.0.0] (created by third party content pack wizard)
  • sapjco3-NTAMD64-3.0.15 Java connector

Please note that SAP wizard is able to connect to the SAP host while the operators are not able to do so. I also noticed that the available libraries are expecting 3.0.7 Java connector.

Please help check. Thanks! 🙂

Labels (1)
0 Likes
5 Replies

Re: The SAP Java Connector is not installed or you do not have the correct distribution package

Hello,

do you know how to get the SAP Automation Pack?

regards,

 

Michael

0 Likes
negruseri Absent Member.
Absent Member.

Re: The SAP Java Connector is not installed or you do not have the correct distribution package

0 Likes
lucian.achitei@1 Valued Contributor.
Valued Contributor.

Re: The SAP Java Connector is not installed or you do not have the correct distribution package

Hi,

Try this workaround :

 
  • Stop Central
  • Delete the Library CP (with the sapjco3.jar and sapjco3.dll) generated by  the “third-party-cp-wizard”.
  • Delete from “Hewlett Packard Enterprise\HPE Operations Orchestration\central\var\cache\com\sap\sapjco3” the wrongly named .jar and .dll
  • Delete the following rows in the oo_artifacts  table having this name:
“com/sap/sapjco3/3.0.7/sapjco3-3.0.7.jar”
“com/sap/sapjco3/7200.88.18.64609/sapjco3-7200.88.18.64609.dll”
  • Ensure you have the following lines in oo_artifacts:
“com/sap/sapjco3/3.0.7/sapjco3.jar”
“com/sap/sapjco3/7200.88.18.64609/sapjco3.dll”
  • Start Central
BR
Lucian
0 Likes
vgodoy Regular Contributor.
Regular Contributor.

Re: The SAP Java Connector is not installed or you do not have the correct distribution package

I've the same problem and I've seen this workaround but I don't understand why we need to stop the central, if we're tryng to generate the flows in a local studio. See attachments.

 

After installing the sap Java connector successfuly and import the CP for integrate Orchestration with SAP , I've try to create a flow and insert the operation "Invoke BAPI", using the wizard and also from my own. But in the library I got all the tree from the Content Pack imported marked in red, and when I try to use the operations, I got the error "The result assignment references result field 'returnResult', which does not exists." "The operation this step links to has problems". I attach a screenshot with the error. Any idea about what means this error?

 

0 Likes
Micro Focus Expert
Micro Focus Expert

Re: The SAP Java Connector is not installed or you do not have the correct distribution package

Hi,

Is the suggestion mentioned above by Lucian Achitei not working?

What exact challenges do you have when following the steps?

Lucian Revnic

0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.